org.wso2.carbon.dataservices.ui.beans

## Class ExcelQuery

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.NonSQLQuery
    - - org.wso2.carbon.dataservices.ui.beans.ExcelQuery

-     public class ExcelQuery
      extends NonSQLQuery

- - ### Field Summary

    - ### Fields inherited from class org.wso2.carbon.dataservices.ui.beans.NonSQLQuery

      `columnNames, columnOrder, hasHeaders, headerRow, maxRowCount, startingRow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExcelQuery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `void` | `ExcelQuey()`
    `String` | `getWorkBookName()`
    `void` | `setWorkBookName(String workBookName)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.NonSQLQuery

      `getColumnNames, getColumnOrder, getHeaderRow, getMaxRowCount, getStartingRow, hasHeaders, setColumnNames, setColumnOrder, setHasHeaders, setHeaderRow, setMaxRowCount, setStartingRow`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExcelQuery

          public ExcelQuery()

  - ### Method Detail

    - #### getWorkBookName

          public String getWorkBookName()

    - #### setWorkBookName

          public void setWorkBookName(String workBookName)

    - #### ExcelQuey

          public void ExcelQuey()

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `NonSQLQuery`
      Returns:
        OMElement

Copyright © 2019 WSO2. All rights reserved.